Next: 1.6.5 The -K -O Up: 1.6 GMT Common Command Previous: 1.6.3 The -H option Contents Index

## 1.6.4 The -J? options

Figure 1.9: The 25 projections available in GMT.

Selects the map projection. The following character code (?) determines the projection. Specify map width (or axis lengths) in the unit of your choice1.3. The projections avaiable in GMT are presented in Figure 1.9. For this tutorial we will choose one of the following projections (for details on all GMT projections see the psbasemap man page):

Mercator:
  -JM width.

Orthographic:
  -JG . The specifies the projection center.

Albers conic:
  -JB . Give projection center and two standard parallels.

Eckert IV and VI:
  -JK[fs]. Give the central meridian.

Linear:
  -JX. Give width [and height] of plot. width [and/or height] can be given in any of the following 3 formats:

  1. -JX width[d]--Regular linear scaling. Append 'd' if x and y are geographical coordinates in degrees; this allows for 360 periodicity and degree-symbols in annotations.

  2. -JX width l--Take log of values before scaling.

  3. -JX width p power--Raise values to power before scaling.

Use negative width [and height] to reverse the direction of an axis (e.g., to have y be positive down).

Next: 1.6.5 The -K -O Up: 1.6 GMT Common Command Previous: 1.6.3 The -H option Contents Index